## mx4j.tools.stats
Interface ObserverStatisticsRecorderMBean

All Superinterfaces:
  StatisticsRecorderMBean

All Known Subinterfaces:
  TimedStatisticsRecorderMBean

All Known Implementing Classes:
  ObserverStatisticsRecorder, TimedStatisticsRecorder

public interface ObserverStatisticsRecorderMBean
extends StatisticsRecorderMBean

Management interface for ObserverStatisticsRecorder MBeans.

Version:
  $Revision: 1.3 $

Method Summary
`java.lang.String` `getObservedAttribute()` Returns the observed Attribute
`javax.management.ObjectName` `getObservedObject()` Returns the observed ObjectName
`void` `setObservedAttribute(java.lang.String attribute)` Sets the Attribute to be observed
`void` `setObservedObject(javax.management.ObjectName object)` Sets the ObjectName to be observed

Methods inherited from interface mx4j.tools.stats.StatisticsRecorderMBean
`getAverage, getEntries, getMax, getMaxEntries, getMin, getRecordingStart, isActive, setMaxEntries, start, stop`

Method Detail

### setObservedObject

    public void setObservedObject(javax.management.ObjectName object)

  Sets the ObjectName to be observed

### getObservedObject

    public javax.management.ObjectName getObservedObject()

  Returns the observed ObjectName

### getObservedAttribute

    public java.lang.String getObservedAttribute()

  Returns the observed Attribute

### setObservedAttribute

    public void setObservedAttribute(java.lang.String attribute)

  Sets the Attribute to be observed

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.